# Interface BookmarkProperties

Properties that can be passed into the constructor for mapping/Bookmark!Bookmark.

interface BookmarkProperties {
id?: string;
source?: BookmarkSource;
title?: string;
viewpoint?: Viewpoint | ViewpointJson;
}

#### Hierarchy (view full)

- EntityProperties
  - BookmarkProperties

#####
Index

### Properties

id?
source?
title?
viewpoint?

##
Properties

### `Optional` id

id?: string

The unique ID to assign to the entity. If not specified, one will be generated.

Inherited from EntityProperties.id

### `Optional` source

source?: BookmarkSource

See mapping/Bookmark!Bookmark.source.

### `Optional` title

title?: string

See mapping/Bookmark!Bookmark.title.

### `Optional` viewpoint

viewpoint?: Viewpoint | ViewpointJson

See mapping/Bookmark!Bookmark.viewpoint.